<template>
  <div>
    <div class="article-body">
      <div class="row m-0">
        <table
          class="table table-striped table-bordered box-table m-0"
          style="background: #fff"
        >
          <thead>
            <tr>
              <th class="col-1" scope="col">ID</th>
              <th scope="col">Name</th>
              <th class="col-1" scope="col">Action</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(team, index) in listTeam" :key="index">
              <td>{{ team.id }}</td>
              <td>
                <NuxtLink
                  :to="'/team/' + team.id"
                  style="text-decoration: none"
                  >{{ team.name }}</NuxtLink
                >
              </td>
              <td class="text-center">
                <div
                  class="btn btn-outline-primary me-1 px-2 py-1"
                  data-toggle="modal"
                  data-target="#createEditTeamModal"
                  @click="editTeam(team.id)"
                >
                  <font-awesome-icon far icon="edit" />
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import { API_TEAM } from '~/assets/contants/contant.js'
export default {
  // data() {
  //   return {
  //     team: {
  //       name: '',
  //     },
  //   }
  // },
  props: ['listTeam'],
  methods: {
    editTeam(idTeam) {
      this.$emit('on-edit-team',idTeam);
    },
  },
}
</script>

<style>
.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: transparent;
}
thead {
  border-width: 3px;
}
</style>
